.todo-list {
    display: grid;
    gap: 1rem;
    list-style-type: none;
    padding:  0;
    margin-top: 5rem;
}

.todo-list li {
    box-shadow: 0 0 10px #333333;
    user-select: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.todo-list li > * {
    padding: 1rem;
}

.todo-list label {
    flex-grow: 1;
}

.todo-list button {
    border: none;
    background-color: transparent;
}
.todo-list label.done {
    text-decoration: line-through;
}
.todo-list .remove {
    color: #f8a7a7;
    text-decoration: line-through;
    cursor: pointer;
}

.todo-list .remove:not(.done) {
    display: none;
}